Subject: Linux-Development Digest #108
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 3 Sep 94 01:13:07 EDT

Linux-Development Digest #108, Volume #2          Sat, 3 Sep 94 01:13:07 EDT

Contents:
  Re: how to do shared C libraries (was Re: nvi 1.34, curses and the new Linux C library) (David Engel)
  Re: Pentium version of gcc? (H.J. Lu)
  Re: Future of Linux (Mark A. Horton KA4YBR)
  WD 90C33 and XFree86 (Alfred Hovdestad)
  mmap( ..., PROT_WRITE, MAP_SHARED, ... ) WHY NOT? (Russell Leighton)
  tar to st0 (Exabyte tape) causes kernel panic (Russell Leighton)
  BUG in tcl/tk for Linux ?? (Norbert Kuemin)
  Re: s3 964 server ? (Harald Koenig)
  Re: Future of linux -- the sequel (Tor Arntsen)
  Re: PCI ethernet (Donald Becker)
  Re: Future of Linux (Mike Dowling)
  Re: Linux Inside T-Shirts, Now Printing! (Dave Rossow)
  Re: PGP Signature (Was: Suggest:SCSI Tape File System) (Darin Johnson)
  Re: ext2fs corruption in 1.1.47-48 (Mark P. Nelson)
  Re: What is happening with MGETTY 0.2 (Harald Milz)
  Re: VLB IDE - DOS speeds up but Linux does not (Donald Becker)
  Re: Future of linux -- the sequel (Bill Broadley)
  Re: PRIORITY make an undelete command (Grant Edwards)
  Re: Netware Client (Sander Plomp)
  Re: PRIORITY make an undelete command (Remco Treffkorn)

----------------------------------------------------------------------------

From: [email-masked] (David Engel)
Subject: Re: how to do shared C libraries (was Re: nvi 1.34, curses and the new Linux C library)
Date: Fri, 2 Sep 1994 15:22:57 GMT

Davor Jadrijevic ([email-masked]) wrote:
: it. For Linux, running ldconfig requires root privilegies.
: Is this necessary; can we have local ldconfig? I'd like to have
: this feature.

Try reading the man page, specifically, the -n option.

David
-- 
David Engel                        Optical Data Systems, Inc.
[email-masked]                      1101 E. Arapaho Road
(214) 234-6400                     Richardson, TX  75081

------------------------------

From: [email-masked] (H.J. Lu)
Subject: Re: Pentium version of gcc?
Date: 1 Sep 1994 02:18:28 GMT

M. Moeling ([email-masked]) wrote:
: Well yesterday I,ve got my P66 too !!!

: of a pentium. GCC optimized for it would be the first thing i guess ?

: If someone out the 'NET' does find any working optimized gcc somewhere anytime
: Pass it on ! (please)

: [email-masked]

One thing you can to do is the join the GCC channel. The pentium
support is on the way. If there is a big demand, there will be a
pentium binary snapshot along with the x86 version. But you have to
have lots of disk spaces since you have to keep the older versions
around in case of the newer one doesn't work, which is always true.
Currently I have 4 different versions of gcc on my notebook. Also
the new snapshot is made every week. You may have to ftp about 2 MB
bytes of gzipped files every week. The installation should be the same
as my public gcc binary release.

H.J.
--
First I thought he was on hunger strike. Later I was told he was
praticing YanXin QiGong.

------------------------------

From: [email-masked] (Mark A. Horton KA4YBR)
Subject: Re: Future of Linux
Date: Fri, 2 Sep 1994 12:26:29 GMT

Mark Bolzern ([email-masked]) wrote:

: How about supporting & promoting them after they have?  We have... now the 
: World needs to know about it.....

: FlagShip sells to commercial Unix users for US$2800 to 5700, and has been
: made available for Linux at a special offer price less than a 10th of that.
: Check out our URL  ftp://ftp.wgs.com/pub2/wgs/Filelist
: There is even a Free functional demo there.
: -- 
: Mark Bolzern :  [email-masked]    USA Tel: (303) 699-7470  Fax: (303) 699-2793 
: WorkGroup Solutions, Inc.    The FlagShip "CA-Clipper and XBase on Unix" People
:   FlagShip is a 4GL Database Development System & XBase Porting Tool for Unix
: No Runtime Fees   Info at ftp.wgs.com : /pub2/wgs/Filelist OR mail: [email-masked]

Guys, I can't sing the praises of this product enough!  Think about the THOUSANDS of
applications (read $$$$) already out there for xBASE and Clipper....  This lets you
port them to Linux _NATIVE_ (!!!) and make available real commericial solutions!
(Like a Linux box running some dumb terminals off a multi-port card or two... an
easy sell to the guy contemplating Novell plus the cost of a bunch of PCs and wiring
and all the other mess that goes with Netware!)  The special introductory pricing
for the Linux community makes this one hell of a good deal (as low as $199.00; 
$499.00 for an unlimited development/usage license!) NO runtime modules!  Get the
demo, try it, port some stuff to it, see if you like it!  I don't want to hear any
arguments about it not being "free" software... everything people are mentioning
on this thread involves COMMERCIAL products that sell for the big bucks... you want
commercial grade stuff, you pay for it... you want freebies, write it yourself or
put up with what you've got... ( I personally like troff for my word processing and
sc for my spreadsheet! :)  ... Linux IS becoming mainstream and with that is 
attracting the attention of commercial developers who are, after all, in it for
the money.  Get used to it!  Even better, get involved in it!  If this one goes
over well, you can bet we'll start seeing a lot of other commercial stuff coming
over to Linux!

-- m

p.s. The 1200+ page manual is GREAT!  It's available online, of course, but it's
well done, in a nice looseleaf binder, and besides, I LIKE being able to get out
of the computer room, sit in an easy chair, and read the docs.  It's well worth
the hundred bucks extra... think how much the toner and paper would cost you!

--
"Linux!     Guerrilla UNIX Development     Venimus, Vidimus, Dolavimus."
============================================================
Mark A. Horton       ka4ybr             [email-masked]
P.O. Box 747 Decatur GA US 30031-0747         [email-masked]
+1.404.371.0291                     33 45 31 N / 084 16 59 W

------------------------------

From: [email-masked] (Alfred Hovdestad)
Crossposted-To: comp.os.linux.admin,comp.os.linux.help
Subject: WD 90C33 and XFree86
Date: 31 Aug 1994 19:49:22 GMT

Does anyone have XFree86 working with a WD90C33?  I have a 486dx2/50
with a Rocket MultiFunction adapter and a WD90C33 video chip.  I have
Linux installed by I can't get X to run.

I am sure that someone must have this working (or at least be working
on it).  After all, if someone can get the Diamond Stealth to work,
then the WD90C33 should not be too difficult.

If no one is working on this, can someone give me an idea where to
start?

--
Alfred Hovdestad                        |e-mail: [email-masked]
Systems Programmer                      |    or: [email-masked]
Department of Computing Services        | Voice: (306) 966-4819
University of Saskatchewan              |   FAX: (306) 966-4938

------------------------------

From: [email-masked] (Russell Leighton)
Subject: mmap( ..., PROT_WRITE, MAP_SHARED, ... ) WHY NOT?
Date: 1 Sep 1994 15:45:11 -0400

Writing to mmap'd files does not seem to be supported under Linux:

        mmap( ..., PROT_WRITE, MAP_SHARED, ... ) 

This seems to be a MAJOR limitation, since I am new to Linux, is this
right? If so, how to fix it?

Russ

-- 
        Russell Leighton     
        Taylor Computing   
        [email-masked]  [email-masked] 
        http://taylor.digex.net  http://www.digex.net/~rrl/Welcome.html

------------------------------

From: [email-masked] (Russell Leighton)
Subject: tar to st0 (Exabyte tape) causes kernel panic
Date: 1 Sep 1994 15:48:43 -0400

I am able to read from st0 (Exabyte 8200) but
when I write, the kernel panics...is this a known bug? ...
what to do? (I am new to Linux ~1day experience).

Russ

-- 
        Russell Leighton     
        Taylor Computing   
        [email-masked]  [email-masked] 
        http://taylor.digex.net  http://www.digex.net/~rrl/Welcome.html

------------------------------

From: [email-masked] (Norbert Kuemin)
Subject: BUG in tcl/tk for Linux ??
Date: 1 Sep 1994 07:16:57 GMT
Reply-To: [email-masked]

I've posted following article and noone could me give an answer :
====== Article postet in comp.lang.tcl =====================================
Hi all, I've included following line to my tcl application to count entries
in a file :
puts [exec cut -b5-30 $PH_DATA | grep -i $SEARCH | wc -l 2>/dev/null]

This is what i see:
1 error waiting for process to exit: No child processeserror waiting for
process to exit:No child processeserror waiting for process to exit: No
child processes

It counts correctly, but what about the messages about no chield process??
Thanks for any hints
===========================================================================

I get this errormessage(error waiting for process to exit: No child processe)
also using tkmail-1.6p5. Seams to be a linux related problem !!!

Thanks   Norbert Kuemin

------------------------------

From: [email-masked] (Harald Koenig)
Subject: Re: s3 964 server ?
Date: 2 Sep 94 15:03:41 GMT

In <[email-masked]> [email-masked] (Chris Schwarzfischer) writes:

>we got a pentium 90MHz ..... (fine).
>we got a S3 card with 964 chipset (PCI) (fast but do not work with the S3 
>X-Server)

>where can i find the newest server?

wrong question!
this should read: WHEN can i find the newest server (if you are interessted in
964 support).

answer for this question:
mid/end of september

Watch for the "XFree86 3.1" announcement. I'm shure it will be available
on your favourite Linux anon.ftp server WHEN it is released.

Harald
-- 
Harald Koenig, [email-masked]
 _____ _         __  _____            ___  __    ___          _        _   
|_   _| |_  ___  \ \/ / __| _ ___ ___( _ )/ /TM | _ \_ _ ___ (_)___ __| |_ 
  | | | ' \/ -_)  >  <| _| '_/ -_) -_) _ \ '_ \ |  _/ '_/ _ \| / -_) _|  _|
  |_| |_||_\___| /_/\_\_||_| \___\___\___/\___/ |_| |_| \___// \___\__|\__|

------------------------------

From: [email-masked] (Tor Arntsen)
Subject: Re: Future of linux -- the sequel
Date: 2 Sep 1994 13:14:41 GMT
Reply-To: [email-masked]

In article [email-masked], [email-masked] (Nikolaus R. Haus) writes:
>>You can get a VL bus motherboard with MIPS R4600 processor
>>that makes Pentium look like a 4.77 8086.
>
>Can I play DOOM on it? ;)

Maybe!

DOOM runs extremely well (i.e. *fast*) on a nearby Indy R4600.  That's IRIX 
of course.

Tor

------------------------------

From: [email-masked] (Donald Becker)
Subject: Re: PCI ethernet
Date: 2 Sep 1994 11:39:53 -0400

In article <[email-masked]>,
Don Carroll <[email-masked]> wrote:
>
>Anyone Working on drivers for the Mitron PCI ethiernet card
>they said that someone was . I would be interest in testing the driver for

What chip does that board use?   If it's an AMD 79C97* chip, it's good news.
A DEC 21040 might eventually be supported as well.

The updated LANCE driver (probably in 1.1.50) works around a minor bug (1) in
the PCnet32 implementation, and doesn't allocate a DMA channel for PCI and
VL boards with native bus mastering.  I've tested the new driver on the VL
bus version, but the PCI version should now work as well (3).

I'm writing a PCnet32 driver to use the VL and PCI chips in 32 bit
addressing mode, but I don't expect the performance gain will be significant
with 10Mbs networks and <=16M machines.  The major advantage might be that
the PCnet32 driver will be processor independent.

If I get a DEC ethernet board, I might also do a driver for the PCI 21040.
That driver will also be processor independent.

(1) FYI, the PCnet32 bug is that the Rx buffer size in the RMD is cleared,
despite the documentation clearly stating that it's left untouched.  The
symptom is that the only one ring - 16 packets - can be received before the
chip runs out of the Rx resources.  The trivial work-around is to always
rewrite the buffer size entry when clearing out the buffer.

(2) Boca 10baseT boards using the AMD79C965 chip are only $70-$90!  We
bought ours from Aurora, but CMO lists them for $67. Both advertise in
Computer Shopper.  I expect the PCI boards to be the same or only slightly
more expensive.

(3)  Frank Koeck <[email-masked]> reported that the PCI boards
did work for 16 packets with the old driver.  The work-around described above
should fix the problem.
-- 
Donald Becker                                     [email-masked]
USRA-CESDIS, Center of Excellence in Space Data and Information Sciences.
Code 930.5, Goddard Space Flight Center,  Greenbelt, MD.  20771
301-286-0882         http://cesdis.gsfc.nasa.gov/pub/people/becker/whoiam.html

------------------------------

From: [email-masked] (Mike Dowling)
Subject: Re: Future of Linux
Date: 02 Sep 1994 17:52:06 GMT
Reply-To: [email-masked]

>>> On Wed, 31 Aug 94 06:15:12 GMT, [email-masked] (Marty Connor) said:

Marty> In Article <[email-masked]>,
Marty> [email-masked] (Mike Suzio) wrote:
Marty> 1.  You folks who tolerate_ Mac users could learn a lot from being
Marty> forced to _use_ a Mac for a while.  I use Macs, Windows boxes, OS2
Marty> boxes, and now Linux boxes.  Guess which one is easiest to teach users
Marty> how to do things on?  Guess which ones have word processing you don't
Marty> have to be a programmer to use?  Guess which ones developers write apps
Marty> for?

I think we're all missing the point.  Firstly, nobody will complain if somebody
goes to the trouble and effort to create all these GUS and things for Linux.
It would be good, because, as many have said, it will give Linux a wider
appeal.  If you don't want these things, then don't install them.

The deeper issue is that Linux is free.  If I am correct in my analysis, nobody
out there who is developing programs for nothing is doing so as a sort of
charity.  They are producing what they see as a quality product, and are
sharing it with others, firstly, because they hope that others will do the
same, and we would thereby all benefit, and, secondly, because they are proud
of their craftsmanship.  IBM, Microsoft, etc. all ask themselves the following
questions.  What do the customers want?  What are their applications?  How well
educated are they when it comes to computers?  What is the most aggressive
marketing strategy? 

Once freed of the commercial considerations, though, people ask quite different
questions.  What do I think is a good user interface?  What do I think would be
the most desirable features for the program?  These people are all expert
computer programmers, so what they invariably think is good is a product that
is very functional, and, with a minimal number of key strokes, can achieve
great power.  In short, IBM, Microsoft, Apple, etc.  will find that they are
catering for people who know nothing about computers, so that their main
objective is to lead the user by the nose.  (And either I am just not on their
wavelength, or else they are all doing a very bad job of producing an
intuitively easy to use user interface.)  Producers of free software often
even earn their money by producing GUIs for special applications under Windows,
and, in their free time, produce something that they think is the way the thing
aught to be done.  It is unlikely that they will then go and replicate the
style they're paid at work to produce in their free time at home.

The consequence is that, unless somebody pays programmers to produce these
GUIs, I very much doubt that we shall see many of them with Linux.  This is
sad, but I think the reality.  Linux is ideal in the academic world as it
supplies many of us with all we need and want (except powerful hardware), but I
think it is very unlikely that it will make any inroads into commercial
offices.  Besides, being your own system administrator with Linux alone sets a
prerequisite to the use of Linux that precludes a very large number of PC
owners from using Linux.
--
P.D. Dr. Michael L. Dowling               (__)       [email-masked]
Abteilung fuer Mathematische Optimierung  (oo)
Institut fuer Angewandte Mathematik        \/-------\
TU Braunschweig                             ||     | \
Pockelsstr. 14                              ||---W||  *
38106 Braunschweig, Germany                 ^^    ^^    Ph.: +49 (531) 391-7553

------------------------------

From: [email-masked] (Dave Rossow)
Crossposted-To: aus.computers.linux,alt.linux.sux,alt.os.linux,comp.os.linux.admin,comp.os.linux.help,comp.os.linux.misc
Subject: Re: Linux Inside T-Shirts, Now Printing!
Date: 2 Sep 1994 22:11:25 -0500

[email-masked] (Justin Scott) writes:

>Any type of JPEGs, etc we can see of the shirts before we order?

>I would love to have the "Linux Inside" as will as the "GNU Generation" 
>shirts, but only if I can see pics before purchase

>Justin

Likewise!

        dave
        [email-masked]

------------------------------

From: [email-masked] (Darin Johnson)
Crossposted-To: comp.os.linux.misc
Subject: Re: PGP Signature (Was: Suggest:SCSI Tape File System)
Date: 02 Sep 1994 05:57:14 GMT

> If I write a message and sign it with my 
> public key (that you have and you *KNOW* comes from me) you can tell 2 
> things: 1) that I wrote it and 2) the message text was not tampered with.

That also begs the question of whether or not your message was
important enough to even care if you really wrote it or not.

Now maybe if you were my boss telling me to get ready and head
over to meet with the European office for the week, I'd be concerned.
But I've seen nothing so far on the net (well over 10 years) where
it mattered who posted or not.
--
Darin Johnson
[email-masked]
       Support your right to own gnus.

------------------------------

From: [email-masked] (Mark P. Nelson)
Subject: Re: ext2fs corruption in 1.1.47-48
Date: 2 Sep 1994 20:43:53 GMT
Reply-To: [email-masked]

Just to let you know:

Started 10 months ago with
     0.99pl12
     ext2fs 0.3
     2xIDE

Now got
     1.1.45
     ext2fs 0.5a
     2xIDE
     AHA1542CF
     1GB SCSI

Gone through many intermediate kernels.  Never had a corruption problem.

--
Mark P. Nelson ([email-masked])
                         While I'll admit that anyone can make a mistake once,
                         to go on making the same lethal errors century after
                         century seems to me nothing short of deliberate.--V.

------------------------------

From: [email-masked] (Harald Milz)
Subject: Re: What is happening with MGETTY 0.2
Reply-To: [email-masked]
Date: Fri, 2 Sep 1994 16:04:23 GMT

In comp.os.linux.development, Tiger II ([email-masked]) wrote:
> What is happening to MGETTY 0.2? I have gone to several sites to pick
> it up and can't.

Look in

sunsite.unc.edu:/pub/Linux/system/Serial/mgetty+sendfax-0.20.tar.gz
tsx-11.mit.edu:/pub/linux/sources/sbin/mgetty+sendfax-0.20.tar.gz

and associated mirrors. What's "several sites" for you?

-- 
It's not an optical illusion, it just looks like one.
                -- Phil White
-- 
Harald Milz ([email-masked])      WWW: http://www.ix.de/editors/hm.html
iX Multiuser Multitasking Magazine      phone +49 (511) 53 52-377
Helstorfer Str. 7, D-30625 Hannover     fax   +49 (511) 53 52-378
Opinions stated herein are my own, not necessarily my employer's.

------------------------------

From: [email-masked] (Donald Becker)
Subject: Re: VLB IDE - DOS speeds up but Linux does not
Date: 2 Sep 1994 23:41:07 -0400

In article <[email-masked]>,
Harry C Pulley <[email-masked]> wrote:
>I'd like to thank all who said I should get 1.1.45 for better disk performance.
>I grabbed that and bdflush 1.4 and built them without any trouble at all.
>
>I know get ~1MB/sec. which is 30% faster than I had before.  This provides a
>noticable performance improvement when booting, starting X and doing other disk
>intensive tasks.

In the same vein, I would like to publically thank Mark Lord (I'm guessing
he's the right person) for the IDE performance improvement code.  Combined
with the bdflush (another advance), it's made a major improvement in IDE I/O
bandwidth. 

As many of you know, my current project is "Beowulf Linux clusters".  This
is a project to put together a off-the-shelf hardware specification and
software distribution to do very cost effective distributed computing.  Last
week the hardware arrived for the first full development cluster of 16
machines.  As part of the assembly/test process I configured a master disk, and
started duplicating the whole 528M disk to the other 15 disks.  Finding this
an excellent opportunity to do something interesting, I started measuring the
peformance and changing the parameters.

The first attempt was using a stock 1.0.9 kernel.  I tried many different
disk copy method, including:
        cp /dev/hda /dev/hdb
        dd if=/dev/hda of=/dev/hdb bs=<various>
        cat /dev/hda > /dev/hdb
Almost independently of the method, the full disk copy took about 37
minutes. I settled on using the most obvious method,
'time cp /dev/hda /dev/hdb', for the rest of the tests.

Next I tried the latest development kernel, 1.1.49.  This kernel includes
the IDE performance patches, and uses the 'bdflush' continuous-buffer-flush
code.

The first test amazed me -- an stock kernel, with the default parameters,
completed a disk-to-disk copy in just under ten minutes, 9:54 to be exact.
By using the 'hdparm' program I was able to tune the copy to the fastest
time of 6:10 before I ran out of disks to copy.  The largest benefit came
(predictably) from increasing the read-ahead size from 16 sectors to 64. A
smaller improvement came from enabling multiple sector mode, and turning on
interrupts made no significant difference in the performance.

The bottom line is that for this task the new kernel is 3.5 times to 6x
(when tuned) faster than the old.  I think this is a significant difference.

BTW, these numbers were measured on a 100Mhz DX4 system with a SiS '471
chipset, all memory and cache parameters set to their fastest values, and
the VL bus set for one wait state.  The IDE controller was a DTC brand VLB
multi-I/O card jumpered for the fastest transfer rate, "8.3MB".  The disk
was a Maxtor 528MB IDE drive ("540M" advertised), and both disks were on the
same controller.

-- 
Donald Becker                                     [email-masked]
USRA-CESDIS, Center of Excellence in Space Data and Information Sciences.
Code 930.5, Goddard Space Flight Center,  Greenbelt, MD.  20771
301-286-0882         http://cesdis.gsfc.nasa.gov/pub/people/becker/whoiam.html

------------------------------

From: [email-masked] (Bill Broadley)
Subject: Re: Future of linux -- the sequel
Date: Fri, 2 Sep 1994 20:28:51 GMT

Hmmm indy vs pentium 90 eh?
 
Whats your price on a indy?  Which cpu? What Mhz?
 
I ordered the following:
p-90, 16 MB ram, 512k L2, stealh 64 2MB, 1GB scsi, 17 mag MX (sony tube), 
        ethernet for $4000
 
I'd have to add a ccd camera $500 (guess) or so, OS (linux), and 16 MB ram 
$500.  $100 for sound.
 
So we are at $5,000.  with about specint 90 spec fp 72.  The low end
indies (i.e. with 1 GB under $7,000 are in the specint 34-60 range.)
 
:  2) Pentium systems in general:
:     a) have lower resolution/slower video hardware
 
Above can do >= 1280x1024
 
:     b) have smaller hard disks
 
Has 1.0 GB
 
:     c) have less RAM
 
Maybe... $500 to go from 16 MB to 32.
 
: Configure a Pentium system which is identical to an SGI
: Indy and they will have very similar price/performance,
: even though the Pentium PROCESSOR is more expensive
: than the MIPS processor.
 
Which indy can patch 100 specint like the pent 100?
 
: Note that, at the price shown, the PC will not do full motion video or
: capture images, nor will it be as fast overall as the SGI.
 
Why not as fast?  Indy does over 230k xstones, gets better specs int/fp?

--
Bill Broadley           [email-masked]           
Linux is great.         Bike to live, live to bike.                     PGP-ok

------------------------------

From: [email-masked] (Grant Edwards)
Subject: Re: PRIORITY make an undelete command
Date: Fri, 2 Sep 1994 18:20:43 GMT

Rob Janssen ([email-masked]) wrote:

: >BTW, how does DOS' UNDELETE help if you do "COPY MAIN.*", where files
: >MAIN.C and MAIN.H match the wildcard?

: The wildcard is passed to COPY, not expanded by the shell.
: COPY sees only a single argument, and won't copy the first match over
: the second.

Depends on the shell.  I use ksh under dos, and if I type "copy
main.*" ("copy" is aliased to "cp") I'm screwed just like on a Unix
system.

The fact that command.com is too dim to expand wildcards before
passing parameters to a program isn't really relevant to the undelete
issue.

If you don't like they way the "cp" "rm" or shell programs work,
(under DOS, Unix, Linux, VMS/DECshell, Ultrix, whatever) then don't
use them -- find or write something else.  It's not a kernel problem.

There are many thousands and millions of things I can type under DOS
and/or Unix to screw myself over.  There's no way the system can
prevent you from ever hurting yourself. If you've got enough rope to
do useful work, you've got enough rope to hang yourself.

--
Grant Edwards                                 |Yow!  Look!  A ladder!  Maybe
Rosemount Inc.                                |it leads to heaven, or a
                                              |sandwich!
[email-masked]                          |

------------------------------

From: [email-masked] (Sander Plomp)
Subject: Re: Netware Client
Date: Fri, 02 Sep 1994 10:39:00 GMT

[email-masked] (William B. Cattell) writes:

>I have been successfully accessing multiple NetWare servers by running 
>DOSEMU un Linux.  Since NetWare is a DOS based OS inorder to function as 
>a true NetWare client you need to run DOS (or OS/2 or a MAC).  NetWare's 
>support of non-DOS clients is ok but not great.

NetWare isn't really DOS based. The OS that runs on the servers is a
completely different OS. It has a weird history, because it dates back
to the days of DOS 1, and has many hacks to support DOS oddities. But deep
down it is more like UNIX than like DOS.

But NetWare clients for many OS-es exists, and it should be possible to
make one for linux just as well.

>You can mount NetWare volumes via NFS and access the server console via 
>XConsole -- as you've already seen -- but to access the server as a true 
>client you would need some kind of DOS.  This also depends on what you 
>want to do.  If you just need file access NFS should suit your needs.  If 
>you need to do NetWare admin (users, maint., etc.) then you would need a 
>DOS client.                            

To do admin you need a client that allows access to the bindery, the
queues, and all other 'non filesystem' features of NetWare. Native DOS
doesn't support this either, it's the programs such as syscon and pconsole
that 'speak' this part of the protocol. Again, it is possible to support
this protocol under linux.

It is an horrible amount of work, especially to support all possible
generations of NetWare.

>
>Bill Cattell
>
-- 
Sander Plomp                    || "Yes or no Humprey!"
                                || "Yes *and* no minister."
[email-masked]  ||    -- The diaries of
                                ||       the Right Hon. James Hacker, MP

------------------------------

From: [email-masked] (Remco Treffkorn)
Subject: Re: PRIORITY make an undelete command
Date: Thu, 1 Sep 1994 08:18:55 GMT
Reply-To: [email-masked]

Robert Sanders ([email-masked]) wrote:
: I know everyone will scream "bloated pig" when I mention Emacs, but
: I'm totally in love with the Emacs version control interface.  Three
: keystrokes enters a file into the version control system of your
: choice (RCS or SCCS).  Once you've done that, you need only two
: keystrokes to check a file in or out.  While editing a file, three
: keystrokes shows you the differences between the current version and
: the last version available in your version control system.  And that's
: the simple stuff; it has the usual all-singing, all-dancing Emacs
: features piled on top.

Well, two keystrokes and this thread vanished in my kill file.

This was one of the most religious wars I have ever seen.
More appropriate for alt.comp.philosophy.

My apologies to Robert. It is not his post, but the totality of posts
that upset me. After 60 odd posts without any content it is just enuff ;-)

Remco
-- 

Remco Treffkorn, DC2XT
[email-masked]
(408) 685-1201

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************